Subscriptions
Subscriptions are a declaration of interest in a particular resource, allowing a user to receive notifications when certain events occur. The events that trigger notifications are controlled by the type of subscription.
Objects
Subscription
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The subscription ID |
created | string | ISO 8601 timestamp | The instant the subscription was created at |
lastModified | string | ISO 8601 timestamp | The instant the subscription was last modified at |
type | string | Subscription Type | The type of subscription |
{
"id" : "0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"created" : "2026-10-29T15:56:52.744091",
"lastModified" : "2026-10-29T15:56:52.744093",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/285ae6b4-8f25-4129-8680-e96d160af883"
}
}
}
Formats
Subscription Type
string
| Value | Description |
|---|---|
ALL | Triggers notifications for all resource events |
ALERTS | Triggers notifications for resource alert events only |
NONE | Does not trigger any notifications |
Requests
View all subscriptions
GET /api/subscriptions
Returns all subscriptions for the authenticated user profile.
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions' -i -X GET
import requests
url = "https://app.meltano.com:443/api/subscriptions"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription collection with HAL links.
{
"_embedded" : {
"subscriptions" : [ {
"id" : "0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"created" : "2026-10-29T15:56:52.744091",
"lastModified" : "2026-10-29T15:56:52.861116",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/285ae6b4-8f25-4129-8680-e96d160af883"
}
}
}, {
"id" : "943636b0-ea0e-4799-867c-60a90b5786df",
"created" : "2026-10-29T15:56:53.133424",
"lastModified" : "2026-10-29T15:56:53.133426",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "e9466998-c080-4d3d-a3a5-08bbbd13767b",
"published" : "2026-10-29T15:56:47.287118",
"alias" : "simple-bar-chart",
"workspaceId" : "c08a3963-f99c-4ffc-a715-3f1d038165b0",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-29T15:56:47.306474",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/943636b0-ea0e-4799-867c-60a90b5786df"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/943636b0-ea0e-4799-867c-60a90b5786df",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/943636b0-ea0e-4799-867c-60a90b5786df",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/e9466998-c080-4d3d-a3a5-08bbbd13767b"
}
}
}, {
"id" : "77e58ec9-faeb-4a27-bf4b-8eddf8518cf0",
"created" : "2026-10-29T15:56:58.93401",
"lastModified" : "2026-10-29T15:56:58.934012",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "54d5cf9f-4bbd-4d4c-ba9f-ddd1307256e9",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-10-29T15:56:53.687183"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/77e58ec9-faeb-4a27-bf4b-8eddf8518cf0"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/77e58ec9-faeb-4a27-bf4b-8eddf8518cf0",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/77e58ec9-faeb-4a27-bf4b-8eddf8518cf0",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.meltano.com/api/pipelines/54d5cf9f-4bbd-4d4c-ba9f-ddd1307256e9"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View all member subscriptions to a workspace
GET /api/workspaces/{workspace-id}/members/subscriptions
Returns all member subscriptions to the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/c08a3963-f99c-4ffc-a715-3f1d038165b0/members/subscriptions' -i -X GET
import requests
url = "https://app.meltano.com:443/api/workspaces/c08a3963-f99c-4ffc-a715-3f1d038165b0/members/subscriptions"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription collection with HAL links.
{
"_embedded" : {
"subscriptions" : [ {
"id" : "2ae74792-d61d-423f-9876-15d1aa8f2584",
"created" : "2026-10-29T15:56:59.088687",
"lastModified" : "2026-10-29T15:56:59.088689",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "c08a3963-f99c-4ffc-a715-3f1d038165b0",
"name" : "Test Workspace [2026-10-29T15:56:46.258268008]"
},
"workspace" : {
"id" : "c08a3963-f99c-4ffc-a715-3f1d038165b0",
"name" : "Test Workspace [2026-10-29T15:56:46.258268008]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/2ae74792-d61d-423f-9876-15d1aa8f2584"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/2ae74792-d61d-423f-9876-15d1aa8f2584",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/2ae74792-d61d-423f-9876-15d1aa8f2584",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/c08a3963-f99c-4ffc-a715-3f1d038165b0"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/c08a3963-f99c-4ffc-a715-3f1d038165b0/members/subscriptions?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}
View a subscription
GET /api/subscriptions/{subscription-id}
Returns the subscription {subscription-id}.
Prerequisites
- Subscription
{subscription-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594' -i -X GET
import requests
url = "https://app.meltano.com:443/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"created" : "2026-10-29T15:56:52.744091",
"lastModified" : "2026-10-29T15:56:52.744093",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/285ae6b4-8f25-4129-8680-e96d160af883"
}
}
}
Subscribe to a workspace
POST /api/workspaces/{workspace-id}/subscriptions
Subscribes the authenticated user profile to the workspace {workspace-id}.
By default, the subscription is configured for all workspace events (see Subscription Type for more information).
Prerequisites
- Workspace
{workspace-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
allMembers | No | Boolean | false | Whether or not to subscribe the workspace to workspace events, in order to enable workspace-wide notifications for all members by default (applicable for the workspace owner only) |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/c08a3963-f99c-4ffc-a715-3f1d038165b0/subscriptions?allMembers=true' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/workspaces/c08a3963-f99c-4ffc-a715-3f1d038165b0/subscriptions?allMembers=true"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "2ae74792-d61d-423f-9876-15d1aa8f2584",
"created" : "2026-10-29T15:56:59.088687325",
"lastModified" : "2026-10-29T15:56:59.088688927",
"type" : "ALL",
"_embedded" : {
"subscriberWorkspace" : {
"id" : "c08a3963-f99c-4ffc-a715-3f1d038165b0",
"name" : "Test Workspace [2026-10-29T15:56:46.258268008]"
},
"workspace" : {
"id" : "c08a3963-f99c-4ffc-a715-3f1d038165b0",
"name" : "Test Workspace [2026-10-29T15:56:46.258268008]"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/2ae74792-d61d-423f-9876-15d1aa8f2584"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/2ae74792-d61d-423f-9876-15d1aa8f2584",
"type" : "PUT"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/2ae74792-d61d-423f-9876-15d1aa8f2584",
"type" : "DELETE"
},
"workspace" : {
"href" : "https://app.meltano.com/api/workspaces/c08a3963-f99c-4ffc-a715-3f1d038165b0"
}
}
}
Subscribe to a channel
POST /api/channels/{channel-id}/subscriptions
Subscribes the authenticated user profile to the channel {channel-id}.
By default, the subscription is configured for all channel events (see Subscription Type for more information).
Prerequisites
- Channel
{channel-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
allMembers | No | Boolean | false | Whether or not to subscribe the workspace to channel events, enabling notifications for all members by default (applicable for the workspace owner only) |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/channels/285ae6b4-8f25-4129-8680-e96d160af883/subscriptions' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/channels/285ae6b4-8f25-4129-8680-e96d160af883/subscriptions"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"created" : "2026-10-29T15:56:52.744090574",
"lastModified" : "2026-10-29T15:56:52.744092658",
"type" : "ALL",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/285ae6b4-8f25-4129-8680-e96d160af883"
}
}
}
Subscribe to a dataset
POST /api/datasets/{dataset-id}/subscriptions
Subscribes the authenticated user profile to the dataset {dataset-id}.
By default, the subscription is configured for all dataset events (see Subscription Type for more information).
Prerequisites
- Dataset
{dataset-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
allMembers | No | Boolean | false | Whether or not to subscribe the workspace to dataset events, enabling notifications for all members by default (applicable for the workspace owner only) |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/e9466998-c080-4d3d-a3a5-08bbbd13767b/subscriptions' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/datasets/e9466998-c080-4d3d-a3a5-08bbbd13767b/subscriptions"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "943636b0-ea0e-4799-867c-60a90b5786df",
"created" : "2026-10-29T15:56:53.133424293",
"lastModified" : "2026-10-29T15:56:53.133425741",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"dataset" : {
"id" : "e9466998-c080-4d3d-a3a5-08bbbd13767b",
"published" : "2026-10-29T15:56:47.287118",
"alias" : "simple-bar-chart",
"workspaceId" : "c08a3963-f99c-4ffc-a715-3f1d038165b0",
"source" : "matatika-limited",
"title" : "How many people have visited our website?",
"description" : "# Some Markdown\n- point 1\n- point 2\n- point 3\n",
"questions" : "[''This is my question'', ''this is second question'']",
"visualisation" : "{\"google-chart\": {\"chartType\": \"BarChart\",\"options\": {\"title\": \"Website visitors\"}}}",
"query" : "SELECT to_char(date(report_date),'YYYYMM') as year_month, SUM(sessions) \n FROM\n \"google_analytics_website_overview\"\n WHERE\n \"google_analytics_website_overview\".\"report_date\" >= DATE(NOW()) - INTERVAL '365 DAY'\n GROUP BY year_month\n ORDER BY year_month ASC;",
"likeCount" : 0,
"likedByProfiles" : [ ],
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-10-29T15:56:47.306474",
"score" : 1.0
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/943636b0-ea0e-4799-867c-60a90b5786df"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/943636b0-ea0e-4799-867c-60a90b5786df",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/943636b0-ea0e-4799-867c-60a90b5786df",
"type" : "PUT"
},
"dataset" : {
"href" : "https://app.meltano.com/api/datasets/e9466998-c080-4d3d-a3a5-08bbbd13767b"
}
}
}
Subscribe to a pipeline
POST /api/pipelines/{pipeline-id}/subscriptions
Subscribes the authenticated user profile to the pipeline {pipeline-id}.
By default, the subscription is configured for all pipeline events (see Subscription Type for more information).
Prerequisites
- Pipeline
{pipeline-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
allMembers | No | Boolean | false | Whether or not to subscribe the workspace to pipeline events, enabling notifications for all members by default (applicable for the workspace owner only) |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/pipelines/54d5cf9f-4bbd-4d4c-ba9f-ddd1307256e9/subscriptions' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/pipelines/54d5cf9f-4bbd-4d4c-ba9f-ddd1307256e9/subscriptions"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "77e58ec9-faeb-4a27-bf4b-8eddf8518cf0",
"created" : "2026-10-29T15:56:58.934010394",
"lastModified" : "2026-10-29T15:56:58.934012068",
"type" : "ALL",
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"pipeline" : {
"id" : "54d5cf9f-4bbd-4d4c-ba9f-ddd1307256e9",
"label" : "SIT-generated-pipeline",
"name" : "sit-generated-pipeline",
"lastModified" : "2026-10-29T15:56:53.687183"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/77e58ec9-faeb-4a27-bf4b-8eddf8518cf0"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/77e58ec9-faeb-4a27-bf4b-8eddf8518cf0",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/77e58ec9-faeb-4a27-bf4b-8eddf8518cf0",
"type" : "PUT"
},
"pipeline" : {
"href" : "https://app.meltano.com/api/pipelines/54d5cf9f-4bbd-4d4c-ba9f-ddd1307256e9"
}
}
}
Update a subscription
PUT /api/subscriptions/{subscription-id}
Updates the subscription {subscription-id}.
Prerequisites
- Subscription
{subscription-id}must exist
Body
| Path | JSON Type | Format | Description |
|---|---|---|---|
type | string | Subscription Type | The type of subscription |
{
"type" : "ALERTS"
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"type" : "ALERTS"
}'
import requests
url = "https://app.meltano.com:443/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594"
data = {
"type" : "ALERTS"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
200 OK
Subscription with HAL links.
{
"id" : "0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"created" : "2026-10-29T15:56:52.744091",
"lastModified" : "2026-10-29T15:56:52.861116218",
"type" : "ALERTS",
"_embedded" : {
"channel" : {
"name" : "matatika-limited",
"description" : "Matatika Limited",
"picture" : "https://cdn.auth0.com/avatars/ml.png?ssl=1"
},
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594"
},
"delete subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"type" : "DELETE"
},
"update subscription" : {
"href" : "https://app.meltano.com/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594",
"type" : "PUT"
},
"channel" : {
"href" : "https://app.meltano.com/api/channels/285ae6b4-8f25-4129-8680-e96d160af883"
}
}
}
Remove a subscription
DELETE /api/subscriptions/{subscription-id}
Removes the subscription {subscription-id}.
Prerequisites
- Subscription
{subscription-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/subscriptions/0d1e6a08-aa58-4e7e-8e5d-46150c28e594"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.